
QGIS Application - Bug report #20783

Crash when opening (corrupted) qgz project

2018-12-11 11:16 PM - Jan Macura

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28603

Description

User Feedback

I just opened the qgz project which I was working with yesterday with no problem (in the same version of QGIS). The crash happened

immediately after start-up.

If I open QGIS directly, it opens without complains. When I try to open the project from the list of last projects, it crashes again. Other

projects can be opened without a problem. From the file size, I suspect the project was badly saved in the last time and is corrupt :-(

Anyway.. this should not shut the QGIS down, it should report the problem of corrupted file to the user instead (if this is the case). I am

including the qgz.

Report Details

Crash ID: b30167744d49fd5247cb78a7d5c81f8c48f87467

Stack Trace

zip_source_function_create :

zip_source_function_create :

QgsZipUtils::unzip :

QgsProjectArchive::unzip :

QgsProject::unzip :

QgsProject::read :

QgisApp::addProject :

QgisApp::openProject :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions

Revision 9ca85f72 - 2018-12-12 01:48 PM - Alessandro Pasotti
Do not crash when zipped project is not a valid zip

Fixes #20783 - Crash when opening qgz project

Revision 1bc9234c - 2018-12-13 09:07 AM - Alessandro Pasotti

Do not crash when zipped project is not a valid zip

Fixes #20783 - Crash when opening qgz project

History

#1 - 2018-12-12 01:41 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-12-12 01:48 PM - Alessandro Pasotti

- Subject changed from Crash when opening qgz project to Crash when opening (corrupted) qgz project

- Status changed from Open to In Progress

The zip file is corrupted, but QGIS must not crash.

#3 - 2018-12-12 01:49 PM - Alessandro Pasotti

- Category changed from Data Provider to Unknown

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/8658

#4 - 2018-12-12 03:27 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|9ca85f72c3eae2bc1fcd4fe26de2e32a21695a68.
